import type { MainActionKind, SecondaryActionKind } from '../../types';
/**
 * хук позволяющий подписаться на событие блокировки действий
 */
export declare const useBlockingActions: <TAction>(actions?: MainActionKind<TAction>[] | SecondaryActionKind<TAction>[] | undefined) => {
    isDisabled: boolean;
    onActionClick: import("../../types").ActionCellHandler<TAction>;
};
